# Class Rcc

java.lang.Object
org.apache.jute.compiler.generated.Rcc

All Implemented Interfaces:
  `RccConstants`

public class Rcc extends Object implements RccConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`Token`
`jj_nt`
Next token.
`Token`
`token`
Current token.
`RccTokenManager`
`token_source`
Generated Token Manager.

### Fields inherited from interface RccConstants

`BOOLEAN_TKN, BUFFER_TKN, BYTE_TKN, COMMA_TKN, CSTRING_TKN, DEFAULT, DOT_TKN, DOUBLE_TKN, EOF, FLOAT_TKN, GT_TKN, IDENT_TKN, INCLUDE_TKN, INT_TKN, LBRACE_TKN, LONG_TKN, LT_TKN, MAP_TKN, MODULE_TKN, RBRACE_TKN, RECORD_TKN, SEMICOLON_TKN, tokenImage, USTRING_TKN, VECTOR_TKN, WithinMultiLineComment, WithinOneLineComment`

## Constructor Summary

Constructors
Constructor
Description
`Rcc(InputStream stream)`
Constructor with InputStream.
`Rcc(InputStream stream, String encoding)`
Constructor with InputStream and supplied encoding
`Rcc(Reader stream)`
Constructor.
`Rcc(RccTokenManager tm)`
Constructor with generated Token Manager.

## Method Summary

Modifier and Type
Method
Description
`final void`
`disable_tracing()`
Disable tracing.
`final void`
`enable_tracing()`
Enable tracing.
`final JField`
`Field()`
`ParseException`
`generateParseException()`
Generate ParseException.
`final Token`
`getNextToken()`
Get the next Token.
`final Token`
`getToken(int index)`
Get the specific Token.
`final JFile`
`Include()`
`final JFile`
`Input()`
`static void`
`main(String[] args)`
`final JMap`
`Map()`
`final ArrayList<JRecord>`
`Module()`
`final String`
`ModuleName()`
`static JFile`
`parseFile(File file)`
`final JRecord`
`Record()`
`final ArrayList<JRecord>`
`RecordList()`
`void`
`ReInit(InputStream stream)`
Reinitialise.
`void`
`ReInit(InputStream stream, String encoding)`
Reinitialise.
`void`
`ReInit(Reader stream)`
Reinitialise.
`void`
`ReInit(RccTokenManager tm)`
Reinitialise.
`final boolean`
`trace_enabled()`
Trace enabled.
`final JType`
`Type()`
`final JVector`
`Vector()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### token_source

public RccTokenManager token_source
Generated Token Manager.

### token

public Token token
Current token.

### jj_nt

public Token jj_nt
Next token.

## Constructor Details

### Rcc

public Rcc(InputStream stream)
Constructor with InputStream.

### Rcc

public Rcc(InputStream stream, String encoding)
Constructor with InputStream and supplied encoding

### Rcc

public Rcc(Reader stream)
Constructor.

### Rcc

public Rcc(RccTokenManager tm)
Constructor with generated Token Manager.

## Method Details

### main

public static void main(String[] args)

### parseFile

public static JFile parseFile(File file) throws FileNotFoundException, ParseException

Throws:
  `FileNotFoundException`
  `ParseException`

### Input

public final JFile Input() throws ParseException

Throws:
  `ParseException`

### Include

public final JFile Include() throws ParseException

Throws:
  `ParseException`

### Module

public final ArrayList<JRecord> Module() throws ParseException

Throws:
  `ParseException`

### ModuleName

public final String ModuleName() throws ParseException

Throws:
  `ParseException`

### RecordList

public final ArrayList<JRecord> RecordList() throws ParseException

Throws:
  `ParseException`

### Record

public final JRecord Record() throws ParseException

Throws:
  `ParseException`

### Field

public final JField Field() throws ParseException

Throws:
  `ParseException`

### Type

public final JType Type() throws ParseException

Throws:
  `ParseException`

### Map

public final JMap Map() throws ParseException

Throws:
  `ParseException`

### Vector

public final JVector Vector() throws ParseException

Throws:
  `ParseException`

### ReInit

public void ReInit(InputStream stream)
Reinitialise.

### ReInit

public void ReInit(InputStream stream, String encoding)
Reinitialise.

### ReInit

public void ReInit(Reader stream)
Reinitialise.

### ReInit

public void ReInit(RccTokenManager tm)
Reinitialise.

### getNextToken

public final Token getNextToken()
Get the next Token.

### getToken

public final Token getToken(int index)
Get the specific Token.

### generateParseException

public ParseException generateParseException()
Generate ParseException.

### trace_enabled

public final boolean trace_enabled()
Trace enabled.

### enable_tracing

public final void enable_tracing()
Enable tracing.

### disable_tracing

public final void disable_tracing()
Disable tracing.